> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryprofound.com/llms.txt
> Use this file to discover all available pages before exploring further.

# OpenAI Ads

> Sample requests for OpenAI Ads Partner API endpoints

This guide provides examples of common API requests. All examples require authentication via API key.

<Note>
  Replace `<API_KEY>` with your actual Profound API key value. Learn how to generate it in [Authentication](/rest-api/authentication).
</Note>

## Examples

### Get campaign insights for a date range

```bash theme={null}
curl -G "https://api.tryprofound.com/v1/ads/openai-ads/ad-account/insights" \
  -H "X-API-Key: your_api_key" \
  -d "aggregation_level=campaign" \
  --data-urlencode 'time_ranges[]={"type":"date_range","since":"2026-07-01","until":"2026-07-18"}'
```

### Get daily campaign insights

```bash theme={null}
curl -G "https://api.tryprofound.com/v1/ads/openai-ads/ad-account/insights" \
  -H "X-API-Key: your_api_key" \
  -d "aggregation_level=campaign" \
  -d "time_granularity=daily" \
  --data-urlencode 'time_ranges[]={"type":"date_range","since":"2026-07-01","until":"2026-07-18"}'
```
